class CreateCashierTerminals < ActiveRecord::Migration[5.1]
  def change
    create_table :cashier_terminals do |t|
      t.string :name, :null => false
      t.boolean :is_active, :null => false, :default => true
      t.boolean :is_currently_login, :null => false, :default => false
      t.boolean :auto_print_receipt,  :null => false, :default => false
      t.string :printer_name
      t.json :header
      t.json :footer
      t.string :font
      t.string :font_size,  :null => false, :default => 10
      t.boolean :show_tax,  :null => false, :default => true
      t.boolean :show_cashier,  :null => false, :default => true
      t.boolean :show_guest_info,  :null => false, :default => false

      t.timestamps
    end
  end
end
